Try ERPNext Buy Support Partners Foundation

I installed and ran the erpnext-dev. ovaWhat's going on?

I installed and ran the ErpNext-dev. ova browser access that was to be upgraded.What’s going on?

Edit common_site_config.json

Set “maintenance_mode”: 0,

%E5%BE%AE%E4%BF%A1%E5%9B%BE%E7%89%87_20200910141517

When I perform Bench Update I end up with this, what’s going to happen?

I can’t see image. Image doesn’t zoom.
Can you arrange it proper

frappe@ubuntu:~/frappe-bench$ bench update
Backing up sites...
INFO:bench.app:pulling frappe
$ git pull  upstream version-12
From https://github.com/frappe/frappe
* branch                version-12 -> FETCH_HEAD
Already up to date.
 $ find . -name "*.pyc" -delete
INFO:bench.app:pulling erpnext
$ git pull  upstream version-12
From https://github.com/frappe/erpnext
* branch                  version-12 -> FETCH_HEAD
Already up to date.
$ find . -name "*.pyc" -delete
Updating Python libraries...
$ /home/frappe/frappe-bench/env/bin/pip install -q -U pip
 INFO:bench.app:installing frappe
 $ /home/frappe/frappe-bench/env/bin/pip install -q -U -e /home/frappe/frappe-bench/apps/frappe 
INFO:bench.app:installing erpnext
 $ /home/frappe/frappe-bench/env/bin/pip install -q -U -e /home/frappe/frappe-bench/apps/erpnext 
Updating node packages...
$ yarn install
yarn install v1.22.4
[1/4] Resolving packages...
success Already up-to-date.
Done in 0.23s.
$ yarn install
yarn install v1.22.4
[1/4] Resolving packages...
success Already up-to-date.
Done in 1.23s.
Patching sites...
Migrating site1.local
Updating DocTypes for frappe        : [========================================]
Updating DocTypes for erpnext       : [========================================]
Updating customizations for Address
Traceback (most recent call last):
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 484, in connect
sock = self._connect()
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 541, in _connect
raise err
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/client.py", line 667, in execute_command
connection.send_command(*args)
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 585, in send_packed_command
self.connect()
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 489, in connect
     raise ConnectionError(self._error_message(e))
 redis.exceptions.ConnectionError: Error 111 connecting to localhost:13000. Connection refused.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 484, in connect
sock = self._connect()
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 541, in _connect
raise err
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.6/runpy.py", line 193, in _run_module_as_main
"__main__", mod_spec)
File "/usr/lib/python3.6/runpy.py", line 85, in _run_code
exec(code, run_globals)
File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py", line 99, in <module>
main()
File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py", line 18, in main
click.Group(commands=commands)(prog_name='bench')
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py", line 764, in __call__
return self.main(*args, **kwargs)
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py", line 717, in main
rv = self.invoke(ctx)
  File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py", line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py", line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py", line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py", line 555, in invoke
return callback(*args, **kwargs)
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py", line 17, in new_func
return f(get_current_context(), *args, **kwargs)
 File "/home/frappe/frappe-bench/apps/frappe/frappe/commands/__init__.py", line 26, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
 File "/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py", line 287, in migrate
migrate(context.verbose, rebuild_website=rebuild_website, skip_failing=skip_failing)
File "/home/frappe/frappe-bench/apps/frappe/frappe/migrate.py", line 62, in migrate
global_search.update_global_search_for_all_web_pages()
File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/global_search.py", line 280, in update_global_search_for_all_web_pages
sync_global_search()
File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/global_search.py", line 361, in sync_global_search
while frappe.cache().llen('global_search_queue') > 0:
File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py", line 141, in llen
return super(RedisWrapper, self).llen(self.make_key(key))
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/client.py", line 1325, in llen
return self.execute_command('LLEN', name)
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/client.py", line 673, in execute_command
connection.send_command(*args)
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 585, in send_packed_command
self.connect()
 File "/home/frappe/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py", line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:13000. Connection refused.

I am not well versed but this cloud be the reason.

ConnectionRefusedError: [Errno 111] Connection refused